|  | Home · All Classes · Modules

# QStyleHintReturn Class Reference
[QtGui module]

The QStyleHintReturn class provides style hints that return more than basic data types. More...

Inherited by QStyleHintReturnMask and QStyleHintReturnVariant.

### Types

- enum HintReturnType { SH_Default, SH_Mask, SH_Variant }
- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self, int version = QStyleOption.Version, int type = QStyleHintReturn.SH_Default)
- __init__ (self, QStyleHintReturn)

### Members

- int type
- int version

## Detailed Description

The QStyleHintReturn class provides style hints that return more than basic data types.

QStyleHintReturn and its subclasses are used to pass information from a style back to the querying widget. This is most useful when the return value from QStyle.styleHint() does not provide enough detail; for example, when a mask is to be returned.

## Type Documentation

### QStyleHintReturn.HintReturnType

Constant | Value | Description
--- | --- | ---
`QStyleHintReturn.SH_Default` | `0xf000` | QStyleHintReturn
`QStyleHintReturn.SH_Mask` | ? | QStyle.SH_RubberBand_Mask QStyle.SH_FocusFrame_Mask
`QStyleHintReturn.SH_Variant` | ? | QStyle.SH_TextControl_FocusIndicatorTextCharFormat

### QStyleHintReturn.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturn.Type` | `SH_Default` | The type of style option provided (SH_Default for this class).

The type is used internally by QStyleHintReturn, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleHintReturn subclass and your own styles.

See also StyleOptionVersion.

### QStyleHintReturn.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturn.Version` | `1` | 1

The version is used by QStyleHintReturn subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleHintReturn.__init__ (self, int version = QStyleOption.Version, int type = QStyleHintReturn.SH_Default)

Constructs a QStyleHintReturn with version version and type type.

The version has no special meaning for QStyleHintReturn; it can be used by subclasses to distinguish between different version of the same hint type.

See also QStyleOption.version and QStyleOption.type.

### QStyleHintReturn.__init__ (self, QStyleHintReturn)

## Member Documentation

### int type

### int version

This variable holds the version of the style hint return container.

This value can be used by subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast<T>(), you normally do not need to check it.